@import '../../variables.scss';

.banner {
  position: relative;
  margin-bottom: 100px;

  .nutri-image-banner {
    background-image: url(/assets/images/nutricionista.png);
    background-position: center top;
    width: 100%;
    height: 600px;
    background-size: cover;
    background-repeat: no-repeat;

    &:before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: linear-gradient(to bottom, transparent 50%, white 100%);
    }
  }

  .lema {
    font-family: $primary-font;
    position: absolute;
    top: 5%;
    left: 5%;
    line-height: 5.5em;

    .frase1 {
      font-size: 40pt;
      color: $secondary-color;
      width: 80%;
      /* border: 1px solid blue; */
    }

    .frase2 {
      margin-top: 25px;
      font-size: 42pt;
      color: $primary-color;
      text-shadow: 1px 0px $primary-color;
      /* border: 1px solid red; */
    }

    .frase3 {
      text-align: left;
      font-family: $secondary-font;
      line-height: 1.4em;
      font-size: 18pt;
      width: 90%;
      color: $paragraph-color;
    }
  }
}

@media(min-width:$break-1){
  $margin:10%;
  .banner {
    position: relative;
    margin-bottom: 100px;

    .nutri-image-banner {
      background-image: url(/assets/images/nutricionista-desktop.png);
      background-position: right $margin top 0;
      width: 100%;
      height: 700px;
      background-size: contain;
      background-repeat: no-repeat;

      &:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to bottom, transparent 50%, white 100%);
      }
    }

    .lema {
      font-family: $primary-font;
      position: absolute;
      top: 10%;
      left: $margin;
      line-height: 5.5em;

      .frase1 {
        font-size: 90pt;
        color: $secondary-color;
        width: 80%;
        line-height: 0.8em;
        /* border: 1px solid blue; */
      }

      .frase2 {
        margin-top: 25px;
        font-size: 62pt;
        color: $primary-color;
        text-shadow: 1px 0px $primary-color;
        /* border: 1px solid red; */
      }

      .frase3 {
        text-align: left;
        font-family: $secondary-font;
        line-height: 1.4em;
        font-size: 20pt;
        width: 90%;
        color: $paragraph-color;
      }
    }
  }
}
